# HG changeset patch
# User kirithika <kirithika@multicorewareinc.com>
# Date 1545375884 -19800
#      Fri Dec 21 12:34:44 2018 +0530
# Node ID 3ca1171d2b709e9e78008b2b5c86fa9a2a55750b
# Parent  ba54a6405f5d9666eb282957fb77ae17b643a990
Add support for Dolby Vision profile 8.2

diff -r ba54a6405f5d -r 3ca1171d2b70 doc/reST/cli.rst
--- a/doc/reST/cli.rst	Fri Dec 21 12:18:08 2018 +0530
+++ b/doc/reST/cli.rst	Fri Dec 21 12:34:44 2018 +0530
@@ -2222,7 +2222,7 @@
     The value is specified as a float or as an integer with the profile times 10,
     for example profile 5 is specified as "5" or "5.0" or "50".
     
-    Currently only profile 5 and profile 8.1 enabled, Default 0 (disabled)
+    Currently only profile 5, profile 8.1 and profile 8.2 enabled, Default 0 (disabled)
 
 .. option:: --dolby-vision-rpu <filename>
 
diff -r ba54a6405f5d -r 3ca1171d2b70 source/common/param.cpp
--- a/source/common/param.cpp	Fri Dec 21 12:18:08 2018 +0530
+++ b/source/common/param.cpp	Fri Dec 21 12:34:44 2018 +0530
@@ -1422,13 +1422,13 @@
         "Invalid refine-ctu-distortion value, must be either 0 or 1");
     CHECK(param->maxAUSizeFactor < 0.5 || param->maxAUSizeFactor > 1.0,
         "Supported factor for controlling max AU size is from 0.5 to 1");
-    CHECK((param->dolbyProfile != 0) && (param->dolbyProfile != 50) && (param->dolbyProfile != 81),
-        "Unsupported Dolby Vision profile, only profile 5 and profile 8.1 enabled");
+    CHECK((param->dolbyProfile != 0) && (param->dolbyProfile != 50) && (param->dolbyProfile != 81) && (param->dolbyProfile != 82),
+        "Unsupported Dolby Vision profile, only profile 5, profile 8.1 and profile 8.2 enabled");
     if (param->dolbyProfile)
     {
         CHECK((param->rc.vbvMaxBitrate <= 0 || param->rc.vbvBufferSize <= 0), "Dolby Vision requires VBV settings to enable HRD.\n");
-        CHECK((param->internalBitDepth != 10), "Dolby Vision profile - 5 and profile - 8.1 is Main10 only\n");
-        CHECK((param->internalCsp != X265_CSP_I420), "Dolby Vision profile - 5 and profile - 8.1 requires YCbCr 4:2:0 color space\n");
+        CHECK((param->internalBitDepth != 10), "Dolby Vision profile - 5, profile - 8.1 and profile - 8.2 is Main10 only\n");
+        CHECK((param->internalCsp != X265_CSP_I420), "Dolby Vision profile - 5, profile - 8.1 and profile - 8.2 requires YCbCr 4:2:0 color space\n");
 
         if (param->dolbyProfile == 81)
             CHECK(!(param->masteringDisplayColorVolume), "Dolby Vision profile - 8.1 requires Mastering display color volume information\n");
diff -r ba54a6405f5d -r 3ca1171d2b70 source/encoder/encoder.cpp
--- a/source/encoder/encoder.cpp	Fri Dec 21 12:18:08 2018 +0530
+++ b/source/encoder/encoder.cpp	Fri Dec 21 12:34:44 2018 +0530
@@ -73,6 +73,7 @@
 {
     { 1, 1, 1, 1, 1, 5, 1,  2, 2, 2, 50 },
     { 1, 1, 1, 1, 1, 5, 0, 16, 9, 9, 81 },
+    { 1, 1, 1, 1, 1, 5, 0,  1, 1, 1, 82 }
 };
 /* Threshold for motion vection, based on expermental result.
  * TODO: come up an algorithm for adoptive threshold */
diff -r ba54a6405f5d -r 3ca1171d2b70 source/x265cli.h
--- a/source/x265cli.h	Fri Dec 21 12:18:08 2018 +0530
+++ b/source/x265cli.h	Fri Dec 21 12:34:44 2018 +0530
@@ -360,7 +360,7 @@
     H0("   --dhdr10-info <filename>      JSON file containing the Creative Intent Metadata to be encoded as Dynamic Tone Mapping\n");
     H0("   --[no-]dhdr10-opt             Insert tone mapping SEI only for IDR frames and when the tone mapping information changes. Default disabled\n");
 #endif
-    H0("   --dolby-vision-profile <float|integer> Specifies Dolby Vision profile ID. Currently only profile 5 and profile 8.1 enabled. Specified as '5' or '50'. Default 0 (disabled).\n");
+    H0("   --dolby-vision-profile <float|integer> Specifies Dolby Vision profile ID. Currently only profile 5, profile 8.1 and profile 8.2 enabled. Specified as '5' or '50'. Default 0 (disabled).\n");
     H0("   --dolby-vision-rpu <filename> File containing Dolby Vision RPU metadata.\n"
        "                                 If given, x265's Dolby Vision metadata parser will fill the RPU field of input pictures with the metadata read from the file. Default NULL(disabled).\n");
     H0("   --nalu-file <filename>        Text file containing SEI messages in the following format : <POC><space><PREFIX><space><NAL UNIT TYPE>/<SEI TYPE><space><SEI Payload>\n");
